#include <iostream>
#include <vector>
using namespace std;
int k,a=0;

vector<pair<int,int>> v;
pair<int, int> par;

void input(){
    cin>>k;
}

void solve(){
   for (int i=0;i<k;i++){
        for (int j=0;j<3;j++){
            par.first=i;
            par.second=a;
            a++;
            v.push_back(par);
        }
   }
}

void output(){
    cout<<k*3<<"\n";
    for (int i=0;i<3*k;i++){
        cout<<v[i].first<<" "<<v[i].second<<"\n";
    }
}

void run(){
    input();
    solve();
    output();
}

int main(){
    run();
}